cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Brooks <mich...@michaelbrooks.ca>
Subject Re: config.xml - phonegap properties
Date Tue, 30 Apr 2013 17:58:41 GMT
Hi Andreas,

Good catch and we've already logged this issue as CB-3279 [1].

I haven't had a chance to investigate it, but I imagine it was either a
copy & paste mistake when the config.xml support was first added the CLI.
Since the version is 1.9.0, I imagine it was copied from a PhoneGap/Build
project that was set to PhoneGap 1.9.0. In short, you can ignore it and it
should be removed.

Thanks for the heads up!
Michael

[1] https://issues.apache.org/jira/browse/CB-3279


On Tue, Apr 30, 2013 at 8:49 AM, Andreas Sander
<andreas.sander@hotmail.de>wrote:

> Hi,
>
> I've a short question concerning the www/config.xml property file.
>
> I compiled my cordova project with Cordova v1.6.0 via npm and command
> line. After creating a project with cordova create command, there are two
> config.xml properties concerning phonegap.
>
>  <preference name="phonegap-version" value="1.9.0" />
> <feature name="http://api.phonegap.com/1.0/device" />
>
> Is this a left-over of phonegap code before cordova existed?
>
> Nevertheless:
>
> Why does the phonegap-version is set to 1.9.0 when I'm building it with
> cordova 2.6.0? Is there a meaning for this value, which I don't get? Or can
> I change it to the same version number, hence 2.6.0?
>
> Any help is appreciated!
>
> With best regards,
>
> Andreas Sander
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message